POST/v3/incidents/{incident_uuid}/updates

Add an update to an incident

Adds an update to an existing incident.

Request

Path Parameters
uuidstringrequired
The unique identifier of the incident
Example:"inci_123"
Bodyapplication/json
textobjectrequired
Localized text of the update. Use language keys (en, fr, de, ru, nl, pl, se).
typeenum<string>required
Type of the update
Available options:
investigatingidentifiedupdatemonitoringresolved
datestringrequired
Date and time of the update in ISO 8601 format
Example:"2024-10-01T13:00:00Z"

Response

Returns the full incident object including all updates.

RequestcURL
curl -X POST https://api.hyperping.io/v3/incidents/inci_123/updates \
  -H "Authorization: Bearer ${API_TOKEN}" \
  -H "Content-Type: application/json" \
  -d '{
    "text": {
      "en": "We are investigating the issue",
      "fr": "Nous enquêtons sur le problème"
    },
    "type": "update",
    "date": "2024-10-01T13:00:00Z"
  }'
201 CreatedJSON
{
  "uuid": "inci_123",
  "date": "2023-10-01T12:00:00.000Z",
  "title": {
    "en": "We are investigating the issue"
  },
  "type": "outage",
  "affectedComponents": [],
  "statuspages": ["sp_123"],
  "updates": [
    {
      "uuid": "upd_def456",
      "date": "2024-10-01T13:00:00.000Z",
      "text": {
        "en": "We are investigating the issue",
        "fr": "Nous enquêtons sur le problème"
      },
      "type": "update"
    }
  ]
}